Subject: Re: Kernel interface to configure queue-group parameters

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Feb 2023 09:32:22 -0800

On Thu, 16 Feb 2023 02:35:35 -0800 Nambiar, Amritha wrote:
> > The biggest issue I see is that there isn't any sort of sysfs interface
> > exposed for NAPI which is what you would essentially need to justify
> > something like this since that is what you are modifying.
> 
> Right. Something like /sys/class/net/<iface>/napis/napi<0-N>
> Maybe, initially there would be as many napis as queues due to 1:1 
> association, but as the queues bitmap is tuned for the napi, only those 
> napis that have queue[s] associated with it would be exposed.

Forget about using sysfs, please. We've been talking about making
"queues first class citizen", mapping to pollers is part of that
problem space. And it's complex enough to be better suited for netlink.